Subject: Re: Too verbose compat_ioctl messages?

From: Andi Kleen <[email-masked]>
Date: 06 Jul 2007 20:14:39 +0200

"H. Peter Anvin" <[email-masked]> writes:
> 
> For one thing, it looks like we're returning the wrong thing (EINVAL
> rather than ENOTTY) across the board.  This was unfortunately a common
> misunderstanding with non-tty-related ioctls in the early days of Linux.

ENOTTY is so excessively misnamed that it is actually surprising
anybody ever got that "right" (for very small values of right i guess)

-Andi